Package org.python.modules

# Class _bytecodetools

java.lang.Object
org.python.modules._bytecodetools

public class _bytecodetools extends Object
BytecodeTools provides tools for generated JVM bytecode.

This module supports registering a python callback function to be notified when new bytecode is loaded. see also core/BytecodeNotification.java

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`__doc__`
`static final String`
`__name__`

## Constructor Summary

Constructors
Constructor
Description
`_bytecodetools()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear()`
Clears all the registered callbacks.
`static void`
`register(PyObject callback)`
Registers a python callback function that will be notified on bytecode loading.
`static boolean`
`unregister(PyObject callback)`
Unregisters a python callback function.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__

public static final String __doc__

See Also:
  - Constant Field Values

### __name__

public static final String __name__

See Also:
  - Constant Field Values

## Constructor Details

### _bytecodetools

public _bytecodetools()

## Method Details

### register

public static void register(PyObject callback)
Registers a python callback function that will be notified on bytecode loading.

Parameters:
  `callback` - a Python callback function

### unregister

public static boolean unregister(PyObject callback)
Unregisters a python callback function.

Parameters:
  `callback` - a Python callback function

### clear

public static void clear()
Clears all the registered callbacks.